using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 导航属性：应急响应评估表人员
    /// </summary>
    [Description("导航属性：应急响应评估表人员")]
    public class T_CM_RSP_ESTIMATE_JOIN_USER : MesEntityBase
    {
        /// <summary>
        /// 应急响应评估ID
        /// </summary>
        [Description("应急响应评估ID")]
        [DataFieldForeignKey("Nav_RspEstimate", "Nav_ListJoin")]
        public Guid ESTIMATE_ID { get; set; }

        /// <summary>
        /// 导航属性：应急响应评估记录
        /// </summary>
        [Description("导航属性：应急响应评估记录")]
        public virtual T_CM_RSP_ESTIMATE Nav_RspEstimate { get; set; }

        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 导航：人员
        /// </summary>
        [Description("导航：人员")]
        public virtual T_FM_USER Nav_User { get; set; }
    }
}
